> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# PATCH /settings/checkout-payment-methods

**Update checkout payment method settings**

Updates the checkout payment method settings for your account.

Send only the payment methods that you want to change. Payment methods that you omit keep their current value. Paddle sets `available`, so you can't update it.

Returns a `checkout_payment_method_not_available` error if you enable a payment method that isn't available on your account, and a `checkout_payment_method_unknown` error if the request includes a payment method that Paddle doesn't recognize.

If successful, your response includes a copy of the updated checkout payment method settings entity.

**Required permissions:** `checkout_settings.write`

## Request body

- `payment_methods`: object (required) — Settings to update for each payment method, keyed by payment method. Send only the payment methods that you want to change.
  - `alipay`: object — Settings to update for the Alipay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `apple_pay`: object — Settings to update for the Apple Pay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `bancontact`: object — Settings to update for the Bancontact payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `blik`: object — Settings to update for the BLIK payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `card`: object — Settings to update for the card payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `google_pay`: object — Settings to update for the Google Pay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `ideal`: object — Settings to update for the iDEAL payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `kakao_pay`: object — Settings to update for the KakaoPay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `mb_way`: object — Settings to update for the MB WAY payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `naver_pay`: object — Settings to update for the Naver Pay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `payco`: object — Settings to update for the Payco payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `paypal`: object — Settings to update for the PayPal payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `pix`: object — Settings to update for the Pix payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `samsung_pay`: object — Settings to update for the Samsung Pay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `south_korea_local_card`: object — Settings to update for the South Korea local card payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `upi`: object — Settings to update for the UPI payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.
  - `wechat_pay`: object — Settings to update for the WeChat Pay payment method.
    - `enabled`: boolean (required) — Whether this payment method is enabled for checkout.

### Request example

```json
{
  "payment_methods": {
    "apple_pay": {
      "enabled": true
    },
    "alipay": {
      "enabled": false
    }
  }
}
```

## Response (200)

- `data`: object (required) — Represents the checkout payment method settings for your account.
  - `payment_methods`: object (required) — Settings for each payment method available at checkout, keyed by payment method. Every supported payment method is always present.
    - `alipay`: object (required) — Settings for the Alipay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `apple_pay`: object (required) — Settings for the Apple Pay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `bancontact`: object (required) — Settings for the Bancontact payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `blik`: object (required) — Settings for the BLIK payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `card`: object (required) — Settings for the card payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `google_pay`: object (required) — Settings for the Google Pay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `ideal`: object (required) — Settings for the iDEAL payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `kakao_pay`: object (required) — Settings for the KakaoPay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `mb_way`: object (required) — Settings for the MB WAY payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `naver_pay`: object (required) — Settings for the Naver Pay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `payco`: object (required) — Settings for the Payco payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `paypal`: object (required) — Settings for the PayPal payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `pix`: object (required) — Settings for the Pix payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `samsung_pay`: object (required) — Settings for the Samsung Pay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `south_korea_local_card`: object (required) — Settings for the South Korea local card payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `upi`: object (required) — Settings for the UPI payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
    - `wechat_pay`: object (required) — Settings for the WeChat Pay payment method.
      - `enabled`: boolean (required) — Whether this payment method is enabled for checkout. A payment method is offered at checkout only when `enabled` and `available` are both `true`. The stored preference is returned even while `available` is `false`.
      - `available`: boolean (required) — Whether Paddle offers this payment method on your account. Set by Paddle.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "payment_methods": {
      "alipay": {
        "enabled": false,
        "available": true
      },
      "apple_pay": {
        "enabled": true,
        "available": true
      },
      "bancontact": {
        "enabled": false,
        "available": true
      },
      "blik": {
        "enabled": false,
        "available": false
      },
      "card": {
        "enabled": true,
        "available": true
      },
      "google_pay": {
        "enabled": true,
        "available": true
      },
      "ideal": {
        "enabled": false,
        "available": true
      },
      "kakao_pay": {
        "enabled": false,
        "available": false
      },
      "mb_way": {
        "enabled": false,
        "available": false
      },
      "naver_pay": {
        "enabled": false,
        "available": false
      },
      "payco": {
        "enabled": false,
        "available": false
      },
      "paypal": {
        "enabled": true,
        "available": true
      },
      "pix": {
        "enabled": false,
        "available": false
      },
      "samsung_pay": {
        "enabled": false,
        "available": false
      },
      "south_korea_local_card": {
        "enabled": false,
        "available": false
      },
      "upi": {
        "enabled": false,
        "available": false
      },
      "wechat_pay": {
        "enabled": false,
        "available": false
      }
    }
  },
  "meta": {
    "request_id": "45cbcb2f-6a71-4b09-8a05-4c9e11b10c11"
  }
}
```
